ActiveMQ
  1. ActiveMQ
  2. AMQ-2145

Patch to run amq 5.3 web console against amq 4.1.x

    Details

    • Type: New Feature New Feature
    • Status: Closed
    • Priority: Minor Minor
    • Resolution: Won't Fix
    • Affects Version/s: 5.3.0
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      This is informational – I don't expect anyone to apply this.

      It's not possible to run the amq 5.3 web console against amq 4.1.x since there are a few new properties used (such as brokerName) that aren't present in amq 4.1. This is a patch to enable running the 5.3 web console against amq 4.1.x running in a separate vm. I used it against the amq embedded in geronimo 2.1.4.

      1. AMQ-2145.diff
        2 kB
        David Jencks

        Activity

        Hide
        David Jencks added a comment -

        Note that the root dir of this patch is activemq-web-console, not project root.
        This should not be committed to trunk, it is only for those who can't upgrade to amq 5 and need a remote web console.

        Show
        David Jencks added a comment - Note that the root dir of this patch is activemq-web-console, not project root. This should not be committed to trunk, it is only for those who can't upgrade to amq 5 and need a remote web console.
        Hide
        David Jencks added a comment -

        Not intended to be applied in svn.

        Show
        David Jencks added a comment - Not intended to be applied in svn.

          People

          • Assignee:
            Unassigned
            Reporter:
            David Jencks
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development